/*
 * VideotecaGUIApp.java
 */

package videotecagui;

import Model.Video;
import Model.Videoteca;
import java.io.File;
import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class VideotecaGUIApp extends SingleFrameApplication {
  VideotecaGUIView vista;
  Videoteca video;

    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
      vista = new VideotecaGUIView(this);
        show(vista);
        video=new Videoteca(new File("dati/videoteca.txt"));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of VideotecaGUIApp
     */
    public static VideotecaGUIApp getApplication() {
        return Application.getInstance(VideotecaGUIApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(VideotecaGUIApp.class, args);
    }
    
    public void cercaGenere(){
      String genere= vista.getGenereDaCercare();
      Video v=video.cercaGenere(genere);
      if (v!=null){
        vista.mostraRisultato(v.toString());
      }
      else {
        vista.mostraStato("Genere non trovato");
      }
    }
}
